[Python-Dev] New PyPI broken package editing

"Martin v. Löwis" martin at v.loewis.de
Wed Mar 30 00:25:43 CEST 2005

Walter Dörwald wrote:
> So can I have one setup.py for both Python 2.4 and Python 2.5 that does the correct thing when creating a Windows installer for
> Python 2.4 (I've used Unicode strings for that until now) and using the upload command with Python CVS (which seems to require a
> byte string now)? I'd like to avoid having to use version checks in setup.py.

Well, the upload command doesn't look at the metadata. It is the
register command which does, and it indeed requires utf-8 at the
moment. This can be fixed, of course, but not for already-released


More information about the Python-Dev mailing list